makeSingleTrialEvents {arf3DS4} | R Documentation

## Estimate single-trial fMRI activity.

### Description

makeSingleTrialEvents calculates single-trial fMRI activity using a double gamma HRF.

### Usage

    makeSingleTrialEvents(subject, condition, sefilename='single_events',
     hrf.control=list(a1=6,a2=12,b1=0.9,b2=0.9,ce=0.35), experiment=NULL)

### Arguments

`subject` | Name of the subject.
`condition` | Name of the condition.
`sefilename` | Filename of the volume where the single-trial data is stored (stores a 4D file with a volume for each event).
`hrf.control` | A list containing the parameters for the double gamma HRF.
`experiment` | An optional object of class `experiment`.

### Details

Files are saved in the data/functional directory using the filename specified in `sefilename`. The function also returns the single-trial data.

### Value

Returns a 4D nifti file (of class `fmri.data`) containing the single-trial data.

### Warnings

Before `makeSingleTrialEvents` can be executed, the data of each run within a condition must be linked to the raw time-series. This is done via object of class `functional` by calling `setFuncTimings`.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`model`, `fmri.data`, `experiment`, `functional`, `setFuncTimings`

[Package arf3DS4 version 2.5-10 Index]